<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Get_MagellanData_V3 StructType
 * @subpackage Structs
 */
class Get_MagellanData_V3 extends AbstractStructBase
{
    /**
     * The Login
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Login
     */
    public $Login;
    /**
     * The MagellanDataSelection
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\MagellanDataSelection_V2
     */
    public $MagellanDataSelection;
    /**
     * Constructor method for Get_MagellanData_V3
     * @uses Get_MagellanData_V3::setLogin()
     * @uses Get_MagellanData_V3::setMagellanDataSelection()
     * @param \StructType\Login $login
     * @param \StructType\MagellanDataSelection_V2 $magellanDataSelection
     */
    public function __construct(\StructType\Login $login = null, \StructType\MagellanDataSelection_V2 $magellanDataSelection = null)
    {
        $this
            ->setLogin($login)
            ->setMagellanDataSelection($magellanDataSelection);
    }
    /**
     * Get Login value
     * @return \StructType\Login|null
     */
    public function getLogin()
    {
        return $this->Login;
    }
    /**
     * Set Login value
     * @param \StructType\Login $login
     * @return \StructType\Get_MagellanData_V3
     */
    public function setLogin(\StructType\Login $login = null)
    {
        $this->Login = $login;
        return $this;
    }
    /**
     * Get MagellanDataSelection value
     * @return \StructType\MagellanDataSelection_V2|null
     */
    public function getMagellanDataSelection()
    {
        return $this->MagellanDataSelection;
    }
    /**
     * Set MagellanDataSelection value
     * @param \StructType\MagellanDataSelection_V2 $magellanDataSelection
     * @return \StructType\Get_MagellanData_V3
     */
    public function setMagellanDataSelection(\StructType\MagellanDataSelection_V2 $magellanDataSelection = null)
    {
        $this->MagellanDataSelection = $magellanDataSelection;
        return $this;
    }
}
